ResetableIterator.EMPTY (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.join
Class ResetableIterator.EMPTY<U extends Writable>

    java.lang.Object
      org.apache.hadoop.mapred.join.ResetableIterator.EMPTY<U>

All Implemented Interfaces:
  ResetableIterator<U>

Enclosing interface:
  ResetableIterator<T extends Writable>

    public static class ResetableIterator.EMPTY<U extends Writable>

extends Object
implements ResetableIterator<U>

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.hadoop.mapred.join.ResetableIterator
`ResetableIterator.EMPTY<U extends Writable>`

Constructor Summary
`ResetableIterator.EMPTY()`

Method Summary
`void` | `add(U item)` Add an element to the collection of elements to iterate over.
`void` | `clear()` Close datasources, but do not release internal resources.
`void` | `close()` Close datasources and release resources.
`boolean` | `hasNext()` True if a call to next may return a value.
`boolean` | `next(U val)` Assign next value to actual.
`boolean` | `replay(U val)` Assign last value returned to actual.
`void` | `reset()` Set iterator to return to the start of its range.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResetableIterator.EMPTY

    public ResetableIterator.EMPTY()

Method Detail

### hasNext

    public boolean hasNext()

  Description copied from interface: `ResetableIterator`
  True if a call to next may return a value. This is permitted false positives, but not false negatives.

  Specified by:
    `hasNext` in interface `ResetableIterator<U extends Writable>`

### reset

    public void reset()

  Description copied from interface: `ResetableIterator`
  Set iterator to return to the start of its range. Must be called after calling `ResetableIterator.add(T)` to avoid a ConcurrentModificationException.

  Specified by:
    `reset` in interface `ResetableIterator<U extends Writable>`

### close

    public void close()
               throws IOException

  Description copied from interface: `ResetableIterator`
  Close datasources and release resources. Calling methods on the iterator after calling close has undefined behavior.

  Specified by:
    `close` in interface `ResetableIterator<U extends Writable>`
  Throws:
    `IOException`

### clear

    public void clear()

  Description copied from interface: `ResetableIterator`
  Close datasources, but do not release internal resources. Calling this method should permit the object to be reused with a different datasource.

  Specified by:
    `clear` in interface `ResetableIterator<U extends Writable>`

### next

    public boolean next(U val)
                 throws IOException

  Description copied from interface: `ResetableIterator`
  Assign next value to actual. It is required that elements added to a ResetableIterator be returned in the same order after a call to `ResetableIterator.reset()` (FIFO). Note that a call to this may fail for nested joins (i.e. more elements available, but none satisfying the constraints of the join)

  Specified by:
    `next` in interface `ResetableIterator<U extends Writable>`
  Throws:
    `IOException`

### replay

    public boolean replay(U val)
                   throws IOException

  Description copied from interface: `ResetableIterator`
  Assign last value returned to actual.

  Specified by:
    `replay` in interface `ResetableIterator<U extends Writable>`
  Throws:
    `IOException`

### add

    public void add(U item)
             throws IOException

  Description copied from interface: `ResetableIterator`
  Add an element to the collection of elements to iterate over.

  Specified by:
    `add` in interface `ResetableIterator<U extends Writable>`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation